---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libpopframe010.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51EC0, symBinAddr: 0x6320, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53E00, symBinAddr: 0x8260, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x541F0, symBinAddr: 0x8650, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55190, symBinAddr: 0x95F0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x551A0, symBinAddr: 0x9600, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x519F0, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x519F4, symBinAddr: 0x6084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x519F8, symBinAddr: 0x6088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51B40, symBinAddr: 0x6090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x51BF8, symBinAddr: 0x6148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x51BFC, symBinAddr: 0x614C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x51C00, symBinAddr: 0x6150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x51C04, symBinAddr: 0x6154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x51C08, symBinAddr: 0x6158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51C10, symBinAddr: 0x6160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51C28, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51C30, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51C38, symBinAddr: 0x6188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51C40, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51C48, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x51C8C, symBinAddr: 0x61AC, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x51C8D, symBinAddr: 0x61AD, symSize: 0x0 }
  - { offsetInCU: 0x90FE, offset: 0x90FE, size: 0x8, addend: 0x0, symName: __ZL13midCheckPoint, symObjAddr: 0x51C90, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x9117, offset: 0x9117, size: 0x8, addend: 0x0, symName: __ZL6midRun, symObjAddr: 0x51C98, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x9130, offset: 0x9130, size: 0x8, addend: 0x0, symName: __ZL11framesCount, symObjAddr: 0x51CA0, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x9149, offset: 0x9149, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x51CA8, symBinAddr: 0x61C8, symSize: 0x0 }
  - { offsetInCU: 0x9162, offset: 0x9162, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x51CB0, symBinAddr: 0x61D0, symSize: 0x0 }
  - { offsetInCU: 0x917B, offset: 0x917B, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x51CC0, symBinAddr: 0x61E0, symSize: 0x0 }
  - { offsetInCU: 0x9194, offset: 0x9194, size: 0x8, addend: 0x0, symName: __ZL14framesExpected, symObjAddr: 0x51DF8, symBinAddr: 0x6318, symSize: 0x0 }
  - { offsetInCU: 0x91E6, offset: 0x91E6, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xE10, symSize: 0x80 }
  - { offsetInCU: 0x927B, offset: 0x927B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xD60, symSize: 0xB0 }
  - { offsetInCU: 0x92D6, offset: 0x92D6, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xC60, symSize: 0x100 }
  - { offsetInCU: 0x9569, offset: 0x9569, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xE90, symSize: 0x220 }
  - { offsetInCU: 0x974E, offset: 0x974E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x10B0, symSize: 0xA0 }
  - { offsetInCU: 0x9801, offset: 0x9801, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1150, symSize: 0x110 }
  - { offsetInCU: 0x98F7, offset: 0x98F7, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1260, symSize: 0x150 }
  - { offsetInCU: 0x9A28, offset: 0x9A28, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x13B0, symSize: 0x30 }
  - { offsetInCU: 0x9B09, offset: 0x9B09, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x13E0, symSize: 0x150 }
  - { offsetInCU: 0x9D01, offset: 0x9D01, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1530, symSize: 0x160 }
  - { offsetInCU: 0x9E8D, offset: 0x9E8D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1690, symSize: 0x1B0 }
  - { offsetInCU: 0xA0A8, offset: 0xA0A8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1840, symSize: 0xA0 }
  - { offsetInCU: 0xA177, offset: 0xA177, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x18E0, symSize: 0x20 }
  - { offsetInCU: 0xA1AE, offset: 0xA1AE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1900, symSize: 0x20 }
  - { offsetInCU: 0xA1E5, offset: 0xA1E5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1920, symSize: 0x20 }
  - { offsetInCU: 0xA398, offset: 0xA398, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1940, symSize: 0x1A0 }
  - { offsetInCU: 0xA6B6, offset: 0xA6B6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x1AE0, symSize: 0x80 }
  - { offsetInCU: 0xA77F, offset: 0xA77F, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x1B60, symSize: 0x6C0 }
  - { offsetInCU: 0xB2F5, offset: 0xB2F5, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA660, symBinAddr: 0x3280, symSize: 0xB0 }
  - { offsetInCU: 0xB36C, offset: 0xB36C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2220, symSize: 0x70 }
  - { offsetInCU: 0xB4B8, offset: 0xB4B8, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2290, symSize: 0xA0 }
  - { offsetInCU: 0xB60F, offset: 0xB60F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2330, symSize: 0x40 }
  - { offsetInCU: 0xB705, offset: 0xB705, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2370, symSize: 0x2B0 }
  - { offsetInCU: 0xBAAB, offset: 0xBAAB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2620, symSize: 0xC0 }
  - { offsetInCU: 0xBBF1, offset: 0xBBF1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x26E0, symSize: 0x10 }
  - { offsetInCU: 0xBCB3, offset: 0xBCB3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x26F0, symSize: 0x240 }
  - { offsetInCU: 0xBF9C, offset: 0xBF9C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x2930, symSize: 0x10 }
  - { offsetInCU: 0xBFF9, offset: 0xBFF9, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x2940, symSize: 0x190 }
  - { offsetInCU: 0xC1C8, offset: 0xC1C8, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9EB0, symBinAddr: 0x2AD0, symSize: 0x10 }
  - { offsetInCU: 0xC2A1, offset: 0xC2A1, size: 0x8, addend: 0x0, symName: _check, symObjAddr: 0x9EC0, symBinAddr: 0x2AE0, symSize: 0x460 }
  - { offsetInCU: 0xC712, offset: 0xC712, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0xA320, symBinAddr: 0x2F40, symSize: 0x110 }
  - { offsetInCU: 0xC86E, offset: 0xC86E, size: 0x8, addend: 0x0, symName: _SingleStep, symObjAddr: 0xA430, symBinAddr: 0x3050, symSize: 0xC0 }
  - { offsetInCU: 0xC99B, offset: 0xC99B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_PopFrame_popframe010_getReady, symObjAddr: 0xA4F0, symBinAddr: 0x3110, symSize: 0x130 }
  - { offsetInCU: 0xCB38, offset: 0xCB38, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_PopFrame_popframe010_check, symObjAddr: 0xA620, symBinAddr: 0x3240, symSize: 0x40 }
  - { offsetInCU: 0xCB74, offset: 0xCB74, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA710, symBinAddr: 0x3330, symSize: 0x36A }
...
